Oracle Linux 4:cpio (ELSA-2007-0245)

low Nessus Plugin ID 67479

Synopsis

遠端 Oracle Linux 主機缺少一個安全性更新。

描述

來自 Red Hat 安全性公告 2007:0245:

現已提供更新版 cpio 套件,可修正一個安全性問題和多個錯誤。

Red Hat 安全性回應團隊已將此更新評等為具有低安全性影響。

GNU cpio 將檔案複製至或複製出 cpio 或 tar 封存。

在 64 位元平台上的 cpio 中發現緩衝區溢位。透過誘騙使用者將特製的大檔案新增至 cpio 封存,本機攻擊者可能可以惡意利用此瑕疵,以目標使用者的權限執行任意程式碼。(CVE-2005-4268)

此錯字勘誤表也可解決下列錯誤:

* cpio 無法正確設定結束程式碼。

* cpio 無法正確建立 ram 磁碟。

建議所有 cpio 使用者皆升級至此更新版套件,其中包含可更正這些問題的反向移植修補程式。

解決方案

更新受影響的 cpio 套件。

另請參閱

https://oss.oracle.com/pipermail/el-errata/2007-May/000148.html

Plugin 詳細資訊

嚴重性: Low

ID: 67479

檔案名稱: oraclelinux_ELSA-2007-0245.nasl

版本: 1.8

類型: local

代理程式: unix

已發布: 2013/7/12

已更新: 2021/1/14

支持的傳感器: Frictionless Assessment Agent, Nessus Agent

風險資訊

VPR

風險因素: Medium

分數: 5.5

CVSS v2

風險因素: Low

基本分數: 3.7

時間分數: 3.2

媒介: AV:L/AC:H/Au:N/C:P/I:P/A:P

時間媒介: E:ND/RL:OF/RC:ND

弱點資訊

CPE: p-cpe:/a:oracle:linux:cpio, cpe:/o:oracle:linux:4

必要的 KB 項目: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2007/5/17

弱點發布日期: 2005/12/15

參考資訊

CVE: CVE-2005-4268

BID: 16057

RHSA: 2007:0245

CWE: 119